#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'imeditorbase.ui'
**
** Created: 2013-12-27T22:35:04
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "imeditorbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a IMEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
IMEditorBase::IMEditorBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "IMEditorBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    IMEditorBaseLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "IMEditorBaseLayout"); 
    spacer1 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    IMEditorBaseLayout->addItem( spacer1, 4, 1 );

    btnSetStandard = new QPushButton( this, "btnSetStandard" );

    IMEditorBaseLayout->addWidget( btnSetStandard, 3, 1 );

    btnDelete = new KPushButton( this, "btnDelete" );

    IMEditorBaseLayout->addWidget( btnDelete, 2, 1 );

    btnEdit = new KPushButton( this, "btnEdit" );

    IMEditorBaseLayout->addWidget( btnEdit, 1, 1 );

    btnAdd = new KPushButton( this, "btnAdd" );

    IMEditorBaseLayout->addWidget( btnAdd, 0, 1 );

    lvAddresses = new KListView( this, "lvAddresses" );
    lvAddresses->addColumn( tr2i18n( "Protocol" ) );
    lvAddresses->addColumn( tr2i18n( "Address" ) );
    lvAddresses->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 1, 0, lvAddresses->sizePolicy().hasHeightForWidth() ) );
    lvAddresses->setMinimumSize( QSize( 200, 28 ) );
    lvAddresses->setProperty( "selectionMode", "Extended" );
    lvAddresses->setAllColumnsShowFocus( TRUE );
    lvAddresses->setFullWidth( TRUE );

    IMEditorBaseLayout->addMultiCellWidget( lvAddresses, 0, 4, 0, 0 );

    lblWarning = new KActiveLabel( this, "lblWarning" );
    lblWarning->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, lblWarning->sizePolicy().hasHeightForWidth() ) );

    IMEditorBaseLayout->addMultiCellWidget( lblWarning, 5, 5, 0, 1 );
    languageChange();
    resize( QSize(442, 247).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
IMEditorBase::~IMEditorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void IMEditorBase::languageChange()
{
    setCaption( tr2i18n( "IM Addresses" ) );
    btnSetStandard->setText( tr2i18n( "&Set Standard" ) );
    QToolTip::add( btnSetStandard, tr2i18n( "The IM Address that is set as the standard is the address that is shown in main editor window." ) );
    QWhatsThis::add( btnSetStandard, tr2i18n( "<qt>Only one IM Address can be set as the standard IM Address.<br>The standard IM Address is shown in the main editor window, and other programs may use this as hint for deciding which IM Address to show.</qt>" ) );
    btnDelete->setText( tr2i18n( "&Remove" ) );
    btnEdit->setText( tr2i18n( "&Edit..." ) );
    btnAdd->setText( tr2i18n( "&Add..." ) );
    lvAddresses->header()->setLabel( 0, tr2i18n( "Protocol" ) );
    lvAddresses->header()->setLabel( 1, tr2i18n( "Address" ) );
    lblWarning->setText( tr2i18n( "<em>Note:</em> Please read the help page before adding or editing Instant Messenging Addresses here." ) );
}

/****************************************************************************
** IMEditorBase meta object code from reading C++ file 'imeditorbase.h'
**
** Created: Fri Dec 27 22:35:04 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "imeditorbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *IMEditorBase::className() const
{
    return "IMEditorBase";
}

QMetaObject *IMEditorBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_IMEditorBase( "IMEditorBase", &IMEditorBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString IMEditorBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "IMEditorBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString IMEditorBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "IMEditorBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* IMEditorBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"IMEditorBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_IMEditorBase.setMetaObject( metaObj );
    return metaObj;
}

void* IMEditorBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "IMEditorBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool IMEditorBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool IMEditorBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool IMEditorBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool IMEditorBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
