#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'ds_appearance.ui'
**
** Created: 2013-12-27T22:35:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ds_appearance.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <knuminput.h>
#include <kfontcombo.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearancePage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppearancePage::AppearancePage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppearancePage" );
    AppearancePageLayout = new QVBoxLayout( this, 11, 6, "AppearancePageLayout"); 

    labelHeader = new QLabel( this, "labelHeader" );
    labelHeader->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, labelHeader->sizePolicy().hasHeightForWidth() ) );
    labelHeader->setPaletteForegroundColor( QColor( 0, 0, 90 ) );
    labelHeader->setPaletteBackgroundColor( QColor( 255, 170, 127 ) );
    QFont labelHeader_font(  labelHeader->font() );
    labelHeader_font.setBold( TRUE );
    labelHeader->setFont( labelHeader_font ); 
    labelHeader->setFrameShape( QLabel::Panel );
    labelHeader->setFrameShadow( QLabel::Sunken );
    labelHeader->setScaledContents( FALSE );
    labelHeader->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    AppearancePageLayout->addWidget( labelHeader );

    gbFont = new QGroupBox( this, "gbFont" );
    gbFont->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 0, 0, gbFont->sizePolicy().hasHeightForWidth() ) );
    gbFont->setColumnLayout(0, Qt::Vertical );
    gbFont->layout()->setSpacing( 6 );
    gbFont->layout()->setMargin( 11 );
    gbFontLayout = new QVBoxLayout( gbFont->layout() );
    gbFontLayout->setAlignment( Qt::AlignTop );

    cbStandardFonts = new QCheckBox( gbFont, "cbStandardFonts" );
    cbStandardFonts->setChecked( TRUE );
    gbFontLayout->addWidget( cbStandardFonts );

    frameFonts = new QFrame( gbFont, "frameFonts" );
    frameFonts->setEnabled( FALSE );
    frameFonts->setFrameShape( QFrame::NoFrame );
    frameFonts->setFrameShadow( QFrame::Plain );
    frameFontsLayout = new QGridLayout( frameFonts, 1, 1, 11, 6, "frameFontsLayout"); 

    labelDetailsFont = new QLabel( frameFonts, "labelDetailsFont" );
    labelDetailsFont->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelDetailsFont, 3, 0 );

    labelDetailsFontSize = new QLabel( frameFonts, "labelDetailsFontSize" );
    labelDetailsFontSize->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelDetailsFontSize, 3, 2 );

    labelBodyFont = new QLabel( frameFonts, "labelBodyFont" );
    labelBodyFont->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelBodyFont, 2, 0 );

    labelFixedFontSize = new QLabel( frameFonts, "labelFixedFontSize" );
    labelFixedFontSize->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelFixedFontSize, 4, 2 );

    labelFixed = new QLabel( frameFonts, "labelFixed" );
    labelFixed->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelFixed, 4, 0 );

    kisbDetailsFontSize = new KIntSpinBox( frameFonts, "kisbDetailsFontSize" );

    frameFontsLayout->addWidget( kisbDetailsFontSize, 3, 3 );

    kisbFixedFontSize = new KIntSpinBox( frameFonts, "kisbFixedFontSize" );

    frameFontsLayout->addWidget( kisbFixedFontSize, 4, 3 );

    labelBodyFontSize = new QLabel( frameFonts, "labelBodyFontSize" );
    labelBodyFontSize->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelBodyFontSize, 2, 2 );

    kfcBodyFont = new KFontCombo( frameFonts, "kfcBodyFont" );
    kfcBodyFont->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, kfcBodyFont->sizePolicy().hasHeightForWidth() ) );

    frameFontsLayout->addWidget( kfcBodyFont, 2, 1 );

    kfcDetailsFont = new KFontCombo( frameFonts, "kfcDetailsFont" );
    kfcDetailsFont->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, kfcDetailsFont->sizePolicy().hasHeightForWidth() ) );

    frameFontsLayout->addWidget( kfcDetailsFont, 3, 1 );

    kfcFixedFont = new KFontCombo( frameFonts, "kfcFixedFont" );

    frameFontsLayout->addWidget( kfcFixedFont, 4, 1 );

    labelHeaderFont = new QLabel( frameFonts, "labelHeaderFont" );
    labelHeaderFont->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelHeaderFont, 0, 0 );

    kfcHeaderFont = new KFontCombo( frameFonts, "kfcHeaderFont" );
    kfcHeaderFont->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, kfcHeaderFont->sizePolicy().hasHeightForWidth() ) );

    frameFontsLayout->addWidget( kfcHeaderFont, 0, 1 );

    kfcHeadlineFont = new KFontCombo( frameFonts, "kfcHeadlineFont" );

    frameFontsLayout->addWidget( kfcHeadlineFont, 1, 1 );

    labelHeaderFontSize = new QLabel( frameFonts, "labelHeaderFontSize" );
    labelHeaderFontSize->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelHeaderFontSize, 0, 2 );

    labelHeaderFontSize_2 = new QLabel( frameFonts, "labelHeaderFontSize_2" );
    labelHeaderFontSize_2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelHeaderFontSize_2, 1, 2 );

    kisbBodyFontSize = new KIntSpinBox( frameFonts, "kisbBodyFontSize" );

    frameFontsLayout->addWidget( kisbBodyFontSize, 2, 3 );

    labelHeadlines = new QLabel( frameFonts, "labelHeadlines" );
    labelHeadlines->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameFontsLayout->addWidget( labelHeadlines, 1, 0 );

    kisbHeaderFontSize = new KIntSpinBox( frameFonts, "kisbHeaderFontSize" );

    frameFontsLayout->addWidget( kisbHeaderFontSize, 0, 3 );

    kisbHeadlineFontSize = new KIntSpinBox( frameFonts, "kisbHeadlineFontSize" );

    frameFontsLayout->addWidget( kisbHeadlineFontSize, 1, 3 );
    gbFontLayout->addWidget( frameFonts );
    AppearancePageLayout->addWidget( gbFont );

    gbHeadline = new QGroupBox( this, "gbHeadline" );
    gbHeadline->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, gbHeadline->sizePolicy().hasHeightForWidth() ) );
    gbHeadline->setColumnLayout(0, Qt::Vertical );
    gbHeadline->layout()->setSpacing( 6 );
    gbHeadline->layout()->setMargin( 11 );
    gbHeadlineLayout = new QVBoxLayout( gbHeadline->layout() );
    gbHeadlineLayout->setAlignment( Qt::AlignTop );

    cbBackgroundColor = new QCheckBox( gbHeadline, "cbBackgroundColor" );
    cbBackgroundColor->setChecked( TRUE );
    gbHeadlineLayout->addWidget( cbBackgroundColor );

    frameBGColor = new QFrame( gbHeadline, "frameBGColor" );
    frameBGColor->setFrameShape( QFrame::NoFrame );
    frameBGColor->setFrameShadow( QFrame::Plain );
    frameBGColorLayout = new QGridLayout( frameBGColor, 1, 1, 11, 6, "frameBGColorLayout"); 

    kcbHeaderBGColor = new KColorButton( frameBGColor, "kcbHeaderBGColor" );
    kcbHeaderBGColor->setEnabled( TRUE );
    kcbHeaderBGColor->setColor( QColor( 0, 0, 0 ) );

    frameBGColorLayout->addWidget( kcbHeaderBGColor, 0, 1 );

    tlBackgroundColor = new QLabel( frameBGColor, "tlBackgroundColor" );
    tlBackgroundColor->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameBGColorLayout->addWidget( tlBackgroundColor, 0, 0 );

    tlHeaderColor = new QLabel( frameBGColor, "tlHeaderColor" );
    tlHeaderColor->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    frameBGColorLayout->addWidget( tlHeaderColor, 1, 0 );

    kcbHeaderTextColor = new KColorButton( frameBGColor, "kcbHeaderTextColor" );
    kcbHeaderTextColor->setEnabled( TRUE );
    kcbHeaderTextColor->setColor( QColor( 255, 255, 255 ) );

    frameBGColorLayout->addWidget( kcbHeaderTextColor, 1, 1 );
    Spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frameBGColorLayout->addItem( Spacer3, 0, 2 );
    gbHeadlineLayout->addWidget( frameBGColor );
    AppearancePageLayout->addWidget( gbHeadline );
    Spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AppearancePageLayout->addItem( Spacer4 );
    languageChange();
    resize( QSize(597, 437).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbBackgroundColor, SIGNAL( toggled(bool) ), frameBGColor, SLOT( setEnabled(bool) ) );
    connect( cbStandardFonts, SIGNAL( toggled(bool) ), frameFonts, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearancePage::~AppearancePage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearancePage::languageChange()
{
    setCaption( tr2i18n( "Appearance Page" ) );
    labelHeader->setText( tr2i18n( "Detailed Print Style - Appearance" ) );
    gbFont->setTitle( tr2i18n( "Font Settings" ) );
    cbStandardFonts->setText( tr2i18n( "Use standard KDE fonts" ) );
    labelDetailsFont->setText( tr2i18n( "Details font:" ) );
    labelDetailsFontSize->setText( tr2i18n( "Size:" ) );
    labelBodyFont->setText( tr2i18n( "Body font:" ) );
    labelFixedFontSize->setText( tr2i18n( "Size:" ) );
    labelFixed->setText( tr2i18n( "Fixed font:" ) );
    labelBodyFontSize->setText( tr2i18n( "Size:" ) );
    labelHeaderFont->setText( tr2i18n( "Contact header font:" ) );
    labelHeaderFontSize->setText( tr2i18n( "Size:" ) );
    labelHeaderFontSize_2->setText( tr2i18n( "Size:" ) );
    labelHeadlines->setText( tr2i18n( "Headlines:" ) );
    gbHeadline->setTitle( tr2i18n( "Contact Headers" ) );
    cbBackgroundColor->setText( tr2i18n( "Use colored contact headers" ) );
    kcbHeaderBGColor->setText( QString::null );
    tlBackgroundColor->setText( tr2i18n( "Headline background color:" ) );
    tlHeaderColor->setText( tr2i18n( "Headline text color:" ) );
    kcbHeaderTextColor->setText( QString::null );
}

/****************************************************************************
** AppearancePage meta object code from reading C++ file 'ds_appearance.h'
**
** Created: Fri Dec 27 22:35:12 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "ds_appearance.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearancePage::className() const
{
    return "AppearancePage";
}

QMetaObject *AppearancePage::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearancePage( "AppearancePage", &AppearancePage::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearancePage::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearancePage", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearancePage::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearancePage", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearancePage::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearancePage", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearancePage.setMetaObject( metaObj );
    return metaObj;
}

void* AppearancePage::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearancePage" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppearancePage::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearancePage::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearancePage::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppearancePage::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
